:root {
    --primario: #9c27b0;
    --primarioOscuro: #89119D;
    --secundario: #FFCC00;
    --secundarioObscuro: rgb(233, 287, 2);
    --blanco: #fff;
    --negro: #000;

    --fuentePrincipal: 'Staatliches', cursive;
 }



 html {
    box-sizing: border-box;
    font-size: 62.5%;                   /*1rem = 10 px*/
    
  }

  *, *:before, *:after {
    box-sizing: inherit;
  }    

    /*Globales*/

  body{
      background-color: var(--primario);
      font-size: 1.6rem;
      line-height: 1.5;
                      
  }

  p {
        font-size: 1.8rem;
        font-family: Arial, Helvetica, sans-serif;
        color: var(--blanco);
                    
  }
  
  a {
      text-decoration: none;
  }

  img {
    width: 100%;
  }
  
  .contenedor {
                max-width: 120rem;
                margin: 0 auto;     /*para centrar contenido*/
                padding: 0;
  }

  h1, h2, h3 {
            text-align: center;
            color: var(--secundario);
            font-family: var(--fuentePrincipal);

  }

  h1{
      font-size: 4rem;
  }

  h2{
      font-size: 3.2rem;
  }

  h3{
      font-size: 2.4rem;
  }

  /*Header*/

.header{
    display: flex;
    justify-content: center;            /*alinea horizontalmente*/
}

.header__logo{
        margin: 3rem 0;
}

/*Navegacion*/

.navegacion{
    background-color: var(--primarioOscuro);
    padding: 1rem 0;
    display: flex;
    justify-content: center;
    /* gap: 2rem;  Forma nueva de separar enlaces poco soporte*/ 

}

.navegacion__enlace{
        font-family: var(--fuentePrincipal);
        color: var(--blanco);
        font-size: 3rem;
        margin-right: 2rem;
        
}

.navegacion__enlace:last-of-type{
    margin-right: 0;                /*para centar correctamentem*/ 
}


.navegacion__enlace--activo,
.navegacion__enlace:hover {
    color: var(--secundario);

}

/*Footer*/

.footer{
    background-color: var(--primarioOscuro);
    padding: 1rem 0;
    margin-top: 2rem;
}

.footer__texto{
    text-align: center;
    font-family: var(--fuentePrincipal);
    font-size: 2.2rem;
}

/*Grid*/

.grid{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 2rem;  /*separacion columna y fila en una linea*/
}

@media (min-width: 768px) {
             .grid{
                display: grid;
                grid-template-columns: repeat(3, 1fr);
                
    }
     }


/*Productos*/

.producto{
    background-color: var(--primarioOscuro);
    padding: 1rem;
    

}



.producto__nombre{
    font-size: 4rem;
}
.producto__precio{
    font-size: 2.8rem;
    color: var(--secundario);
}

.producto__nombre,
.producto__precio{
    font-family: var(--fuentePrincipal);
    margin: 1rem 0;
    text-align: center;
    line-height: 1.2;
}

/*Graficos*/

.grafico{
    min-height: 30rem;
    background-repeat: no-repeat;
    background-size: contain;
}


.grafico--camisas{
    grid-row: 2 / 3;
    grid-column: 1 / 3;
    background-image: url(../img/grafico1.jpg);
 }
   
.grafico--node{
    background-image: url(../img/grafico2.jpg);
    grid-column: 1 / 3;
    grid-row: 8 / 9;
}

@media (min-width: 768px) {
    .grafico--node{
        grid-row: 5 / 6;
        grid-column: 2 / 4;
        
    }
}



/**Nosotros**/

.nosotros{
    padding: 2rem;
}
.nosotros{
    display: grid;
    grid-template-rows: repeat(2, auto);
}


@media(min-width: 768px) {
        .nosotros {
            grid-template-columns: repeat(2, 1fr);
            column-gap: 2rem;
           
        }    
}

.nosotros__imagen{
        grid-row: 1 / 2;
        
}

@media(min-width: 766px) {
        .nosotros__imagen{
            grid-column: 2 / 3 ;
            
        }
}

/**Bloques**/

.bloques{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
     gap: 2rem;
}

@media (min-width: 768px) {
    .bloques{
         grid-template-columns: repeat(4, 1fr);
         
    
    }    
}


.bloque{
    text-align: center;
}

.bloque__titulo{
    margin: 0;
}



/**Pagona del Producto**/

.camisa{
    padding: 2rem;
}
@media (min-width: 768px) {
     .camisa{
            display: grid;
            grid-template-columns: repeat(2, 1fr);
            column-gap: 2rem;
     }
}

.formulario{
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 2rem;
}
.formulario__campo{
       border: 1rem solid var(--primarioOscuro); /**ancho tipo y color**/
       background-color: transparent;
       color: var(--blanco);
       font-size: 2rem;
       font-family: var(--fuentePrincipal);
       padding: 1rem;
       appearance: none;
       min-width: 50%; 
       
}
.formulario__submit{
        background-color: var(--secundario);
        border: none;
        font-size: 2rem;
        font-family: var(--fuentePrincipal);
        padding: 2rem;
        transition: background-color .3s ease;  /**color tiempo y tipo **/
        grid-column: 1 / 3;
        
}
.formulario__submit:hover{
    cursor: pointer;
    background-color: var(--secundarioObscuro);
    
}
